<?php defined('SYSPATH') OR die('No direct access allowed.');

class op5reports {
	/**
	 * Find PNP graphs for all objects in the array
	 *
	 * This is *not* free to do.
	 */
	static function get_pnp_for($opts, $member) {
		$pnp_path = Kohana::config('config.pnp4nagios_path');
		$width = Kohana::config('op5reports.graph_width');
		if (!$width)
			$width = 450;
		$height = Kohana::config('op5reports.graph_height');
		if (!$height)
			$height = 200;
		if (!$pnp_path)
			return array();

		$pnp_graphs = array();
		if ($opts['report_type'] === 'services' || $opts['report_type'] === 'servicegroups') {
			list($host, $svc) = explode(';', $member);
		}
		else {
			$host = $member;
			$svc = '_HOST_';
		}
		$sources = pnp::get_sources($host, $svc);
		foreach ($sources as $source) {
			$pnp_graphs[] = $pnp_path."image?host=".pnp::clean($host)."&srv=".rawurlencode(pnp::clean($svc))."&source=$source&start={$opts['start_time']}&end={$opts['end_time']}&display=image&w={$width}&h={$height}&full=1";
		}
		return $pnp_graphs;
	}
}
